# Uses of Interface
org.eclipse.jface.text.reconciler.IReconcilableModel

Packages that use IReconcilableModel
Package
Description
org.eclipse.jface.text.reconciler
Provides a reconciler add-on for an `ITextViewer`.

## Uses of IReconcilableModel in org.eclipse.jface.text.reconciler

Fields in org.eclipse.jface.text.reconciler declared as IReconcilableModel
Modifier and Type
Field
Description
`protected IReconcilableModel`
AbstractReconcileStep.`fInputModel`
Methods in org.eclipse.jface.text.reconciler that return IReconcilableModel
Modifier and Type
Method
Description
`IReconcilableModel`
AbstractReconcileStep.`getInputModel()`
Returns the reconcilable input model.
`abstract IReconcilableModel`
AbstractReconcileStep.`getModel()`
Returns the reconcilable model.
Methods in org.eclipse.jface.text.reconciler with parameters of type IReconcilableModel
Modifier and Type
Method
Description
`void`
AbstractReconcileStep.`setInputModel(IReconcilableModel inputModel)`
`void`
IReconcileStep.`setInputModel(IReconcilableModel inputModel)`
Tells this reconcile step on which model it will work.